Reply::Plugin::Editor(3pm)

NAME
Reply::Plugin::Editor - command to edit the current line in a text editor

VERSION
version 0.42

SYNOPSIS
  ; .replyrc
  [Editor]
  editor = emacs

DESCRIPTION
This plugin provides the "#e" command. It will launch your editor, and allow you to edit bits of code in your editor, which will then be evaluated all at once. The text you entered will be saved, and restored the next time you enter the command. Alternatively, you can pass a filename to the "#e" command, and the contents of that file will be preloaded instead.

The "editor" option can be specified to provide a different editor to use, otherwise it will use the value of $ENV{VISUAL} or $ENV{EDITOR}.

AUTHOR
Jesse Luehrs <doy@tozt.net>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2016 by Jesse Luehrs.

This is free software, licensed under:

  The MIT (X11) License